/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import java.text.SimpleDateFormat;



import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.PtovtaHorario;

/**
 *
 * @author Administrador
 */
public class PtovtaHorarioRender implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        PtovtaHorario horario = (PtovtaHorario) o;

      
        
        SimpleDateFormat dt = new SimpleDateFormat("HH:mm:ss");
        Listcell  lc = new Listcell(dt.format(horario.getInicio()));
		lc.setParent(lstm);

		lc = new Listcell(dt.format(horario.getFim()));
		lc.setParent(lstm);

        lstm.setAttribute("data", horario);
    }
}
